Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.lineage
Class FieldnameLineage

    java.lang.Object
      org.pentaho.di.lineage.FieldnameLineage

    public class FieldnameLineage

extends Object

This describes how a field gets renamed in a certain step.
It helps us to do the complete lineage from source to target and back.

Author:
  matt

Constructor Summary
`FieldnameLineage(String inputFieldname, String outputFieldname)` Create a new field lineage object

Method Summary
`static FieldnameLineage` | `findFieldnameLineageWithInput(List<FieldnameLineage> lineages, String input)` Search for a field name lineage object in a list.
`String` | `getInputFieldname()`
`String` | `getOutputFieldname()`
`void` | `setInputFieldname(String inputFieldname)`
`void` | `setOutputFieldname(String outputFieldname)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FieldnameLineage

    public FieldnameLineage(String inputFieldname,
                            String outputFieldname)

  Create a new field lineage object

  Parameters:
    `inputFieldname` - The input field name
    `outputFieldname` - The output field name

Method Detail

### getInputFieldname

    public String getInputFieldname()

  Returns:
    the input Field name

### setInputFieldname

    public void setInputFieldname(String inputFieldname)

  Parameters:
    `inputFieldname` - the input Field name to set

### getOutputFieldname

    public String getOutputFieldname()

  Returns:
    the output Field name

### setOutputFieldname

    public void setOutputFieldname(String outputFieldname)

  Parameters:
    `outputFieldname` - the output Field name to set

### findFieldnameLineageWithInput

    public static final FieldnameLineage findFieldnameLineageWithInput(List<FieldnameLineage> lineages,
                                                                       String input)

  Search for a field name lineage object in a list.

  Parameters:
    `lineages` - The list
    `input` - the input field name to look for
  Returns:
    The first encountered field name lineage object where the input field name matches. If nothing is found null is returned.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD